package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 10:46 2020/3/25
 * @Modified By
 */
public class ChangeTeacherWorkingStatusReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;

    @ApiModelProperty(name = "teacherWorkingType", value = "操作类型1解冻账号， 2转正，3冻结账号，4注销账号", required = true)
    private int teacherWorkingType;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public int getTeacherWorkingType() {
        return teacherWorkingType;
    }

    public void setTeacherWorkingType(int teacherWorkingType) {
        this.teacherWorkingType = teacherWorkingType;
    }
}
